org.eclipse.jface.viewers

## Interface IStructuredContentProvider

All Superinterfaces:
  IContentProvider

All Known Subinterfaces:
  ICommonContentProvider, IOverridableTabListContentProvider, IPipelinedTreeContentProvider, IPipelinedTreeContentProvider2, ITreeContentProvider, ITreePathContentProvider

All Known Implementing Classes:
  AbstractSynchronizationContentProvider, ArrayContentProvider, BaseWorkbenchContentProvider, EnvironmentTab.EnvironmentVariableContentProvider, FileEditorMappingContentProvider, ObservableListContentProvider, ObservableListTreeContentProvider, ObservableSetContentProvider, ObservableSetTreeContentProvider, PreferenceContentProvider, RefactoringHistoryContentProvider, SynchronizationContentProvider, TreeNodeContentProvider, WorkbenchContentProvider

    public interface IStructuredContentProvider
    extends IContentProvider

An interface to content providers for structured viewers.

See Also:
  `StructuredViewer`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object[]` `getElements(Object inputElement)` Returns the elements to display in the viewer when its input is set to the given element.

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

### Method Detail

#### getElements

    Object[] getElements(Object inputElement)

Returns the elements to display in the viewer when its input is set to the given element. These elements can be presented as rows in a table, items in a list, etc. The result is not modified by the viewer.

Parameters:
  `inputElement` - the input element
Returns:
  the array of elements to display in the viewer